Bug 231854 - [RHEL4] Incorrect memory sizing reported by EDAC on HP xw9400
Summary: [RHEL4] Incorrect memory sizing reported by EDAC on HP xw9400
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Aristeu Rozanski
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248673
TreeView+ depends on / blocked
 
Reported: 2007-03-12 16:19 UTC by Aristeu Rozanski
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:21:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test patch (24.19 KB, patch)
2007-03-12 16:22 UTC, Aristeu Rozanski
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Aristeu Rozanski 2007-03-12 16:19:20 UTC
Description of problem:
On AMD64 boxes with revision F processors, the current k8_edac driver doesn't
detects correctly the amount of memory.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.Check /proc/mc/ for information. The memory modules' size are displayed
incorrectly.
2
3.
  
Actual results:
Incorrect memory modules size

Expected results:


Additional info:

Comment 1 Aristeu Rozanski 2007-03-12 16:22:01 UTC
Created attachment 149833 [details]
test patch

This patch adds support for revision F processors and to other memory module
types.

Comment 2 Aristeu Rozanski 2007-03-12 16:25:22 UTC
Tested with success on a HP xw9400 and on a IBM eServer x3105.


Comment 3 Aristeu Rozanski 2007-03-12 17:51:05 UTC
Patch submitted to list for inclusion


Comment 4 Aristeu Rozanski 2007-03-13 14:32:09 UTC
Got two ACKs but will have to test more


Comment 5 RHEL Product and Program Management 2007-07-30 20:15:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jason Baron 2007-07-31 16:08:49 UTC
committed in stream U6 build 55.26. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 9 Don Domingo 2007-08-24 01:01:33 UTC
added to RHEL4.6 release notes under "Kernel-Related Updates":

<quote>
(x86_64) k8_edac driver now supports revision F processors
</quote>

please advise if any revisions are necessary. thanks!



Comment 11 errata-xmlrpc 2007-11-15 16:21:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.